package cn.stylefeng.team.project.modular.businessrender.sql;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;
import java.util.Map;

public interface ProjectSqlExecuteApi {

    List<Map<String, Object>> customFindPage(Page page, String sql, Map<String, Object> params);

    Map<String, Object> findOne(String sql, Map<String, Object> params);

    List<Map<String, Object>> findList(String sql, Map<String, Object> params);

    int executeDelete(String sql, Map<String, Object> params);

    int executeUpdate(String sql, Map<String, Object> params);

}
